読者です 読者をやめる 読者になる 読者になる

tkymtk's blog

Ruby on Rails及びその周辺について調べたこと。Do whatever you want to do at your own pace.

RVMとRubyをインストール

rvmのトップには

Install RVM with a Ruby:

$ \curl -L https://get.rvm.io | bash -s stable

とあったが、今回Ruby は別にインストールするのでとりあえず

ターミナルに

$ \curl -L https://get.rvm.io | bash 

 を入力してrvmをインストール。

 ターミナルを再起動して次に進む。

その後手順通り進めていって、

$ gem update --system 1.8.24

 をしようとするも、

ERROR: While executing gem ... (Gem::FilePermissionError)
You don't have write permissions ..

みたいなエラーがでてできない。

sudo とやらを追加すれば出来るらしいが、なんか、rvm上のrubygemsのバージョンを指定したいだけなので、使わなくてもできるんじゃないかと思いあれこれ調べたら出てきた

rvm上のrubygemsのバージョンを変更する - Quiita

こちらを参考に

$ rvm rubygems 1.8.24

 でやっとできた。やったー

 

続き:gem設定ファイルを作成 Railsをインストール

間違いがあれば、ご指摘下さると幸いです。